VectorLinux
November 23, 2014, 12:45:17 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: Need help with installing ATI proprietary driver  (Read 2055 times)
GrannyGeek
Packager
Vectorian
****
Posts: 2567


« on: October 02, 2010, 12:33:04 pm »

My best computer, the Athlon 64 X2 in my sig, has onboard Radeon Xpress200 graphics. I'm using the open-source radeon driver and it seems to do fine with my 1600x1200 LCD monitor. However, my glxgears scores are bad and I don't think the radeon open-source driver does 3D.

I have never been able to install the VL proprietary ATI driver, as it complains of an error and fails. I downloaded ati-driver-installer-9-3-x86.x86_64.run from ATI and tried to install it from that file. It also gives an error and fails:

Code:
which: no XFree86 in (/sbin:/usr/local/bin:/usr/bin:/usr/sbin:/bin:/opt/bin:/usr/X11/bin:/usr/local/games:/usr/games)

Error: ./default_policy.sh does not support version
default:v2:i686:lib::none:2.6.31.11; make sure that the version is being
correctly set by --iscurrentdistro

Removing temporary directory: fglrx-install.VZJzjC

ATI's Web site says:
Automated installer and Display Drivers for X.Org 6.7, 6.8, 6.9, 7.0, 7.1, 7.2, 7.3, or 7.4

VL6 SOHO Deluxe uses Xorg 1.6.3, which is quite a bit newer than 7.4. The error message above is something I can't understand at all (meaning it's beyond my powers to comprehend). Is there any hope for installing the proprietary driver?
--GrannyGeek
Logged

Registered Linux User #397786

Happily running VL 7 Gold on  a Sempron LE-1300 desktop (2.3 GHz), 4 G RAM,  GeForce 6150 SE onboard graphics and on an HP Pavilion dv7 i7, 6 gigs, Intel 2nd Generation Integrated Graphics Controller
MikeCindi
Tester
Vectorian
****
Posts: 1073


« Reply #1 on: October 02, 2010, 03:31:03 pm »

Have you tried the latest (...10-6-x86_64.run)? Don't know if that will work for you as I'm not sure what that error means either.
Logged

The plans of the diligent lead to profit...Pro. 21:5
VL64 7.1b3                                     RLU 486143
GrannyGeek
Packager
Vectorian
****
Posts: 2567


« Reply #2 on: October 04, 2010, 08:49:42 pm »

I downloaded the file yesterday from ATI's Web site (now AMD), so I assume it's the latest. ATI is very bad about maintaining Linux support for older cards/chips so maybe the Radeon Xpress 200 has fallen through the cracks. This computer was purchased in January 2006 and has an ASUS OEM motherboard for Hewlett Packard.

Does anybody have other ideas?
--GrannyGeek
Logged

Registered Linux User #397786

Happily running VL 7 Gold on  a Sempron LE-1300 desktop (2.3 GHz), 4 G RAM,  GeForce 6150 SE onboard graphics and on an HP Pavilion dv7 i7, 6 gigs, Intel 2nd Generation Integrated Graphics Controller
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!